POST V1/Inventory.{ext}/SavingsAccountData?pageIndex={pageIndex}&pageSize={pageSize}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

No description available

integer

Default value is 0

pageSize

No description available

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.SavingsAccountData
NameDescriptionTypeAdditional information
siteGroup

No description available

string

None.

siteNumber

No description available

integer

None.

accountNumber

No description available

string

None.

vendorNumber

No description available

integer

None.

utility

No description available

string

None.

serviceType

No description available

string

None.

city

No description available

string

None.

state

No description available

string

None.

zip

No description available

string

None.

accountStatus

No description available

string

None.

accountCategory

No description available

string

None.

billiingCycle

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "siteGroup": "sample string 1",
  "siteNumber": 2,
  "accountNumber": "sample string 3",
  "vendorNumber": 4,
  "utility": "sample string 5",
  "serviceType": "sample string 6",
  "city": "sample string 7",
  "state": "sample string 8",
  "zip": "sample string 9",
  "accountStatus": "sample string 10",
  "accountCategory": "sample string 11",
  "billiingCycle": "sample string 12"
}

application/xml, text/xml

Sample:
<SavingsAccountData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <accountCategory>sample string 11</accountCategory>
  <accountNumber>sample string 3</accountNumber>
  <accountStatus>sample string 10</accountStatus>
  <billiingCycle>sample string 12</billiingCycle>
  <city>sample string 7</city>
  <serviceType>sample string 6</serviceType>
  <siteGroup>sample string 1</siteGroup>
  <siteNumber>2</siteNumber>
  <state>sample string 8</state>
  <utility>sample string 5</utility>
  <vendorNumber>4</vendorNumber>
  <zip>sample string 9</zip>
</SavingsAccountData>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Inventory.Entities.AccountData
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.AccountData

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "AccountData",
  "response": {
    "acctId": "sample string 1",
    "accountNbr": "sample string 2",
    "utility": "sample string 3",
    "vendorName": "sample string 4",
    "siteName": "sample string 5",
    "siteNumber": "sample string 6",
    "groupName": "sample string 7",
    "address": "sample string 8",
    "siteId": "sample string 9",
    "vendorId": "sample string 10"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.